### Method

# Gtk Label set_text

#### Declaration [src]

    void
    gtk_label_set_text (
      GtkLabel* self,
      const char* str
    )

#### Description [src]

Sets the text for the label.

It overwrites any text that was there before and clears any previously set mnemonic accelerators, and sets the `GtkLabel:use-underline` and `GtkLabel:use-markup` properties to false.

Also see `gtk_label_set_markup()`.

#### Parameters

`str`

  Type: `const char*`

  The text to show in `self`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.